.button-file {
   overflow-y: auto;
  &__modal {
    background-color: transparent;
    box-shadow: none;
    top: 0 !important;
    left: 0 !important;
    transform: translate(0);
    overflow-y: auto;
    width: 100%;
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
    &-overlay {
      z-index: 5000;
      background-color: $dark;
    }
    & .icon--white{
      height: rem(30px);
      width: rem(30px);
    }
    &--top-position {
      top: 50% !important;
      left: 50% !important;
      transform: translate(-50%, -50%);
    }
  }
  &__container {
    width: 100%;
    background: none;
    border: none;
    max-height: calc(100% - 48px);
    height: 100%;
    margin-top: rem(48px);
    // padding-top: rem(42px);
    margin-left: auto;
    margin-right: auto;
    overflow-x: hidden;
    display: block;
    -webkit-transition: -webkit-transform 0.2s linear;
    -moz-transition: -moz-transform 0.2s linear;
    -ms-transition: -ms-transform 0.2s linear;
    -o-transition: -o-transform 0.2s linear;
    transition: transform 0.2s linear;
    background: none;
    border: none;
    // & > button {
    //   overflow-y: auto;
    //   width: 100%;
    //   height: 100%;
    // }
    &:focus {
      outline: none;
    }
    &--scrollable {
      overflow-y: auto;
      background: none;
      border: none;
      width: 100%;
      height: 100%;
      &:focus {
        outline: none;
      }
    }
  }
  &__modal .button-file__card-button {
    max-width: rem(500px);
    width: 100%;
    padding: 6px;
  }
  &__modal > .ember-view {
    background-color: transparent;
    box-shadow: none;
    left: 0;
    width: 100%;
    position: absolute;
    height: 100vh;
    height: calc(var(--vh, 1vh) * 100);
    & > .header {
      left: calc((100% - 100vw) / 2);
      background-color: #343a40;
      width: 100vw;
      position: absolute;
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
    }
  }
  &__card-button {
    margin-left: auto;
    margin-right: auto;
    cursor: auto;
    & > div {
      box-shadow: none;
      border-radius: 0px;
      border: 0px;
      margin-bottom: 0px;
    }
  }
  &__button-arrow {
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 20px solid white;
    margin-left: auto;
    margin-right: auto;
  }
  &__below-buttons {
    margin-left: auto;
    margin-right: auto;
    max-width: rem(500px);
    min-height: fit-content;
    width: 100%;
    position: sticky;
    position: -webkit-sticky;
    bottom: 0;
    z-index: 1001;
  }
  &___notif-circle{
    width: rem(50px);
    height: rem(50px);
    border: 0;
    cursor: pointer;
    z-index: 5000;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }
  &__yellow-circle {
    background-color: $primary;
    border-radius: 0.5rem;
    width: auto;
    height: auto;
    border: 0;
    cursor: pointer;
    &--big-circle {
      min-width: rem(130px);
      border-color: $primary;
      border: 2px solid $primary;
      max-width:  rem(300px);
      width: auto;
      height: auto;
      justify-content: center;
    }
    &--inactive-button {
      background-color:rgba(1, 1, 1, 0.2);
      border-color: $primary;
      border: 2px solid $primary;
      & path {
        fill: $primary;
      }
    }
    &--disabled {
      background-color: $dark;
      & g {
        fill: $primary;
      }
    }
    &-content {
      display: flex;
      align-items: center;
      &--text {
        padding-right: rem(3px);
        justify-content: flex-end;
        font-size: rem(17px);
      }
    }
    &-container {
      display: flex;
      justify-content: center;
      align-items: center;
      // max-width: 100%;
      width: 100%;
      &--layer-top {
        z-index: 52;
      }
      & .conv_container {
      display: flex;
      flex: 1 1 0px;
      display: flex;
      }
      & > .button-circle {
        width: rem(50px);
        min-width: rem(50px);
        height: rem(50px);
        border: 0;
        cursor: pointer;
        z-index: 5000;
      }
      &  .notif-circle {
        border-radius: 50%;
        position:  absolute;
        margin-top: 0;
        top:calc(50% - 26px);
        right: calc(75%);
        display: block;

        width: rem(15px);
        height: rem(15px);
        border: 0;
        cursor: pointer;
        background: $color-blue;
        z-index: 5000;
      }
    }
  }
  &__conv-link {
    display: inline-block;
    height: rem(70px);
    flex: 1 ;
    width: auto;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    padding: rem(15px) rem(6px);
    border: rem(2px) solid $color-corporative;
    border-radius: rem(5px);
    margin: rem(6px) rem(3px) 0 rem(3px);
    .svg-icon {
      width: auto;
      height: 100%;
      fill: $dark;
    }
  }
  &__chat {
  }
  &__chat-counter {
    display:flex;
    position: absolute;
    align-content: center;
  }
  &__yellow-circle-disabled {
    pointer-events: none;
    background-color: #C8C8C8;
    color: #858585;
  }
  &__yellow-circle-disabled g {
    fill: #858585;
  }

  &__yellow-circle-disabled .fill-icon {
    fill: #858585;
  }

  &__small-icon {
    height: rem(22px);
  }
  &__big-icon {
    height: rem(50px);
  }
  &__messages-container {
    max-width: rem(500px);
    margin-left: auto;
    margin-right: auto;
  }
  &__messages {
    box-shadow: none;
  }
  &__activate-btn-text {
    font-size: .85rem;
    color: $primary;
    text-align: center;
    margin-top: 1rem;
  }
}


@media screen and (max-width: 991px) {
  .button-file {
    &__modal {
      width: 100%;
      overflow-y: auto;
      margin-left: auto;
      margin-right: auto;
    }
    &__card-button {
    }
  }
}
